Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.util
Class KeyValuePair.Builder

    java.lang.Object
      org.apache.logging.log4j.core.util.KeyValuePair.Builder

All Implemented Interfaces:
  Serializable, Builder<KeyValuePair>

Enclosing class:
  KeyValuePair

    public static class KeyValuePair.Builder

extends Object
implements Builder<KeyValuePair>, Serializable

See Also:
  Serialized Form

Constructor Summary
`KeyValuePair.Builder()`

Method Summary
`KeyValuePair` | `build()` Builds the plugin object after all configuration has been set.
`protected Object` | `readResolve()`
`KeyValuePair.Builder` | `setKey(String key)`
`KeyValuePair.Builder` | `setValue(String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyValuePair.Builder

    public KeyValuePair.Builder()

Method Detail

### setKey

    public KeyValuePair.Builder setKey(String key)

### setValue

    public KeyValuePair.Builder setValue(String value)

### build

    public KeyValuePair build()

  Description copied from interface: `Builder`
  Builds the plugin object after all configuration has been set. This will use default values for any unspecified attributes for the plugin.

  Specified by:
    `build` in interface `Builder<KeyValuePair>`
  Returns:
    the configured plugin instance.

### readResolve

    protected Object readResolve()
                          throws ObjectStreamException

  Throws:
    `ObjectStreamException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.